package Klaseak;
import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Iterator;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.ButtonGroup;
import javax.swing.JOptionPane;
import javax.swing.JLabel;
import javax.swing.JCheckBox;
import javax.swing.JButton;
import javax.swing.JRadioButton;
import javax.swing.JTextField;

import twitter4j.TwitterException;





public class BabesKopiaEgin extends JFrame {

	private JPanel contentPane;
	private JPanel panel;
	private JCheckBox tweetak,retweetak,mentzioak,faboritoak,idatzitakoMezuZuzenak,jasotakoMezuzuzenak,tweetGuztienMotak;
	private JRadioButton idatzitakoDena,azkenKopiatik, gaurkoTweetak ;
	private HizkuntzaAldaketa hA= new HizkuntzaAldaketa();
	private OrriakKontrolatu_kontsulta orriakKontrolatu= new OrriakKontrolatu_kontsulta();
	private ButtonGroup taldea;
	private String mota;
	
	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					BabesKopiaEgin frame = new BabesKopiaEgin();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public BabesKopiaEgin() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setTitle(hA.getValue("egin"));
		setBounds(100, 100, 536, 396);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		contentPane.setLayout(new BorderLayout(0, 0));
		setContentPane(contentPane);
		
		panel = new JPanel();
		contentPane.add(panel, BorderLayout.CENTER);
		panel.setLayout(null);
		
		botoiakSortu();
		textFieldSortu();
		checkBoxakSortu();
		radioButtoakSortu();
		jLabelakSortu();
		defektuzkoaJarri();
			
	}
	
	
	
	
	public void botoiakSortu(){
		
		
		
		JButton btnIrten = new JButton(hA.getValue("i"));
		btnIrten.setBounds(399, 267, 117, 25);
		panel.add(btnIrten);
		
		btnIrten.addActionListener(new ActionListener(){
			
			public void actionPerformed(ActionEvent e) {
				JFrame frame=Aplikazioa.getInstantzia().getMenuNagusia();
                BabesKopiaEgin.this.dispose(); 
                frame.setVisible(true);
                     		 
			
		}
		});
		
	 
		JButton btnKopiaEgin = new JButton(hA.getValue("kop"));
		btnKopiaEgin.setBounds(257, 267, 117, 25);
		panel.add(btnKopiaEgin);
		 btnKopiaEgin.addActionListener(new ActionListener() {
			
			
			public void actionPerformed(ActionEvent e) {
				ArrayList<String> eginBeharrekoKopia=new ArrayList<String>();
					try {
						BabesKopiaEgin.this.kopiaEgin(eginBeharrekoKopia);
					} catch (IllegalStateException | MugaGainditu e1) {
						// TODO Auto-generated catch block
						e1.printStackTrace();
					}
			}
		});
		
	}

	public void radioButtoakSortu(){
		
		
		taldea= new ButtonGroup();
		
		idatzitakoDena = new JRadioButton(hA.getValue("d"));
		idatzitakoDena.setBounds(325, 200, 145, 23);
		panel.add(idatzitakoDena);
		
		azkenKopiatik = new JRadioButton(hA.getValue("azkKop"));
		azkenKopiatik.setBounds(8, 200, 148, 23);
		panel.add(azkenKopiatik);
		
		gaurkoTweetak = new JRadioButton(hA.getValue("gaur"));
		gaurkoTweetak.setBounds(160, 200, 145, 23);
		panel.add(gaurkoTweetak);
		
		
		 taldea.add(azkenKopiatik);
		 taldea.add(gaurkoTweetak);
		 taldea.add(idatzitakoDena);
		
	}
	
	
	public void jLabelakSortu(){
		
		
		JLabel lblZerDaKopiatu = new JLabel(hA.getValue("zer"));
		lblZerDaKopiatu.setBounds(8, 12, 474, 15);
		panel.add(lblZerDaKopiatu);
		
		JLabel lblData = new JLabel(hA.getValue("data"));
		lblData.setBounds(8, 177, 440, 15);
		panel.add(lblData);
	
	}
	
	public void checkBoxakSortu(){
		
		tweetak = new JCheckBox(hA.getValue("t"));
		tweetak.setBounds(8, 58, 111, 23);
		panel.add(tweetak);
		
		retweetak = new JCheckBox(hA.getValue("rt"));
		retweetak.setBounds(8, 96, 111, 23);
		panel.add(retweetak);
		
		mentzioak = new JCheckBox(hA.getValue("m"));
		mentzioak.setBounds(123, 58, 111, 23);
		panel.add(mentzioak);
		
		faboritoak = new JCheckBox(hA.getValue("f"));
		faboritoak.setBounds(123, 96, 111, 23);
		panel.add(faboritoak);
		
		idatzitakoMezuZuzenak = new JCheckBox(hA.getValue("imz"));
		idatzitakoMezuZuzenak.setBounds(238, 58, 278, 23);
		panel.add(idatzitakoMezuZuzenak);
		
		jasotakoMezuzuzenak = new JCheckBox(hA.getValue("jmz"));
		jasotakoMezuzuzenak.setBounds(246, 96, 270, 23);
		panel.add(jasotakoMezuzuzenak);
		
		tweetGuztienMotak = new JCheckBox(hA.getValue("d"));
		tweetGuztienMotak.setBounds(8, 132, 171, 23);
		panel.add(tweetGuztienMotak);
		
		tweetGuztienMotak.addActionListener(new ActionListener() {
			
			
			public void actionPerformed(ActionEvent e) {
				
				if (tweetGuztienMotak.isSelected()){
				
					jasotakoMezuzuzenak.setEnabled(false);
					idatzitakoMezuZuzenak.setEnabled(false);
					faboritoak.setEnabled(false);
					mentzioak.setEnabled(false);
					retweetak.setEnabled(false);
					tweetak.setEnabled(false);
				
				}else{
					
					jasotakoMezuzuzenak.setEnabled(true);
					idatzitakoMezuZuzenak.setEnabled(true);
					faboritoak.setEnabled(true);
					mentzioak.setEnabled(true);
					retweetak.setEnabled(true);
					tweetak.setEnabled(true);
					
				}
			}
		});
	
	}
	
	public void textFieldSortu(){
		
	}
	
	public void defektuzkoaJarri(){
		
		
		
		String izena="";
		try {
			izena = Aplikazioa.getInstantzia().getTwitter().getScreenName();
		} catch (IllegalStateException | TwitterException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		}
				
		
	}
	
	
	public void kopiaEgin(ArrayList<String> eginBeharrekoKopia) throws MugaGainditu{
		TweetenKontsulta kontsulta= new TweetenKontsulta();
		String aukera = "";
		String izena="";
		try {
			izena = Aplikazioa.getInstantzia().getTwitter().getScreenName();
		} catch (IllegalStateException | TwitterException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		}
		
		if(!kontsulta.konprobatuErrorea(izena)){
			if (eginBeharrekoKopia.size()==0){
				if(!(tweetGuztienMotak.isSelected())& (!(tweetak.isSelected())) & (!(faboritoak.isSelected())) &(!( mentzioak.isSelected())) & (!(jasotakoMezuzuzenak.isSelected())) & (!(idatzitakoMezuZuzenak.isSelected())) & !(retweetak.isSelected())){
				
					JOptionPane.showMessageDialog(BabesKopiaEgin.this,hA.getValue("zerKop"));
					return;
					
				}else if(!(idatzitakoDena.isSelected())&!(gaurkoTweetak.isSelected())&!(azkenKopiatik.isSelected())){
				
					JOptionPane.showMessageDialog(BabesKopiaEgin.this,hA.getValue("nondikKop"));
					return;
				}
	
					eginBeharrekoKopia = arraiaBete(eginBeharrekoKopia);
					Iterator<String> it= eginBeharrekoKopia.iterator();
					boolean existituBaiAlaEz;
					while (it.hasNext()){
						mota= (String) it.next();
						existituBaiAlaEz=orriakKontrolatu.existitzenDaKopiarik(mota, izena);
						if( (azkenKopiatik.isSelected() && !existituBaiAlaEz)){
							JOptionPane.showMessageDialog(BabesKopiaEgin.this,"'"+mota+"' mota honetako kopiarik ez duzu egin, beraz denak edo gaurkoak egin bakarrik");
							return;
						}
						orriakKontrolatu.kopiaEgunaHasieratu(mota, izena);
						
						it.hasNext();
					}
					
			 }
					
					String mota="";
					for (String elem : eginBeharrekoKopia) {
						
						mota=elem;  
						
						orriakKontrolatu.erroreaKendu(izena, mota);
						aukera=aukeraBete(aukera,izena,mota);
						
						if (mota.equals("Tweeta")||mota.equals("RT")||mota.equals("Faboritoa")||mota.equals("Mentzioa")){	
							try {
								kopiakEgitenHasi(mota,aukera,izena);
							} catch (MugaGainditu e) {
								// TODO Auto-generated catch block
								e.printStackTrace();
								JOptionPane.showMessageDialog(BabesKopiaEgin.this,this.mota +" kopiak ez dira egiten jarraituko limitera heldu delako, egotekotan besteekin jarraituko da");
								
							}
						}else{
							try {
								mezuak_kopiakHasi(mota,aukera,izena);
							} catch (MugaGainditu e) {
								JOptionPane.showMessageDialog(BabesKopiaEgin.this,mota + this.mota+" mezuen kopiak ez dira egiten jarraituko limitera heldu delako, egotekotan besteekin jarraituko da.");
								e.printStackTrace();
							}
						}
						
					}	
					JOptionPane.showMessageDialog(BabesKopiaEgin.this, hA.getValue("denaOk"));
					BabesKopiaEgin.this.denaHasieratu();
		}else{
			JOptionPane.showMessageDialog(BabesKopiaEgin.this, hA.getValue("kopEzin"));
			
		}
				
	}
	
	private void mezuak_kopiakHasi(String mota, String aukera,String erabiltzailea) throws MugaGainditu {
		
			try {
				MezuZuzenak.mezuZuzenakKopiatu(mota,aukera);
			} catch (MugaGainditu e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
				orriakKontrolatu.erroreakGorde(erabiltzailea, mota, aukera);
				throw new MugaGainditu("errorea");
			}
		
		
	}

	private void kopiakEgitenHasi(String mota, String aukera, String erabiltzailea) throws MugaGainditu {
			
			try {
				TweetDenak.kopiaEgin(mota, aukera);
			} catch (MugaGainditu e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
				orriakKontrolatu.erroreakGorde(erabiltzailea,mota, aukera);
				throw new MugaGainditu("errorea");
				
			}
	}

	public void denaHasieratu(){
		
		tweetak.setSelected(false);
		tweetak.setEnabled(true);
		retweetak.setSelected(false);
		retweetak.setEnabled(true);
		mentzioak.setSelected(false);
		mentzioak.setEnabled(true);
		faboritoak.setSelected(false);
		faboritoak.setEnabled(true);
		idatzitakoMezuZuzenak.setSelected(false);
		idatzitakoMezuZuzenak.setEnabled(true);
		jasotakoMezuzuzenak.setSelected(false);
		jasotakoMezuzuzenak.setEnabled(true);
		tweetGuztienMotak.setSelected(false);
		tweetGuztienMotak.setEnabled(true);
		
		taldea.clearSelection();
			
	}
	
	
	public ArrayList<String> arraiaBete(ArrayList<String> eginBeharrekoKopiak){
		
		if (tweetGuztienMotak.isSelected()){
			
			
			eginBeharrekoKopiak.add("Tweeta");
			eginBeharrekoKopiak.add("RT");
			eginBeharrekoKopiak.add("Faboritoa");
			eginBeharrekoKopiak.add("Mentzioa");
			eginBeharrekoKopiak.add("jasotakoa");
			eginBeharrekoKopiak.add("bidalitakoa");
	
		}else{
			if (tweetak.isSelected()){
			eginBeharrekoKopiak.add("Tweeta");
			}
			if(retweetak.isSelected()){
				eginBeharrekoKopiak.add("RT");
			}
			if(faboritoak.isSelected()){
				eginBeharrekoKopiak.add("Faboritoa");
			}
			if(mentzioak.isSelected()){
				eginBeharrekoKopiak.add("Mentzioa");
			}
			if(jasotakoMezuzuzenak.isSelected()){
				eginBeharrekoKopiak.add("jasotakoa");
			}
			if(idatzitakoMezuZuzenak.isSelected()){
				eginBeharrekoKopiak.add("bidalitakoa");
			}
		}	
		return eginBeharrekoKopiak;
	}
	
	public String aukeraBete(String aukera,String izena,String mota){
		
			if (idatzitakoDena.isSelected()){
			
			aukera="tweetGuztiak";
		
			}else if(gaurkoTweetak.isSelected()){
		
			aukera= "gaurkoTweetak";
		
			}else if(azkenKopiatik.isSelected()){
		
			aukera = "azkenKopiatik";
			
			}else{
			
					try {
						aukera=orriakKontrolatu.aukeraLortu(mota,izena);
					} catch (SQLException e) {
						// TODO Auto-generated catch block
						e.printStackTrace();
					}
			}		
					
		return aukera;
	}
	
	
	
	
}
