package Klaseak;
import java.awt.EventQueue;
import java.awt.FlowLayout;
import java.awt.TextField;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.swing.JFileChooser;
import javax.swing.JFrame;
import javax.swing.JPanel;

import twitter4j.TwitterException;

import javax.swing.JButton;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import net.miginfocom.swing.MigLayout;

import javax.swing.JLabel;
import javax.swing.JTextField;


public class Bentana extends JFrame {

	private JPanel contentPane;
	private final JButton btnBesteBilaketaBat = new JButton("Beste bilaketa bat egin");
	private HizkuntzaAldaketa hA= new HizkuntzaAldaketa();
	private String pathaText;
	
	public void setPathaText(String pathaText) {
		this.pathaText = pathaText;
	}


	private JTextField pathaLekua;
	JTextField izena;
	
	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Bentana frame = new Bentana(null, null,0,0);
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 * @throws SQLException 
	 * @throws TwitterException 
	 * @throws IllegalStateException 
	 */
	public Bentana(ArrayList<String> tweetMotak, ArrayList<String> mezuMotak, long data1, long data2) throws SQLException{
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 1000, 564);
		contentPane = new JPanel();
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		textFielakSortu();
		labelakSortu();
		botoiakSortu(data1,data2,tweetMotak, mezuMotak);
		taulakSortu(tweetMotak, mezuMotak,data1,data2);
			
	}
	
	public void labelakSortu() {
		
		JLabel izena2=new JLabel(hA.getValue("izenExp"));
		izena2.setBounds(370,477,180,41);
		contentPane.add(izena2);
		
	}

	public void textFielakSortu() {
		contentPane.setLayout(null);
		
		pathaLekua= new JTextField();
		pathaLekua.setBounds(150,477,210,35);
		contentPane.add(pathaLekua);
		
		izena= new JTextField();
		izena.setBounds(540,477,190,35);
		contentPane.add(izena);
	}

	public void taulakSortu(ArrayList<String> tweetMotak, ArrayList<String> mezuMotak, long data1, long data2){

		Tabla newContentPane1 = null;
		
		try {
			newContentPane1 = new Tabla(tweetMotak,data1, data2);
		} catch (SQLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		newContentPane1.setBounds(12, 229, 986, 221);
	
		
		Tabla_mezuak newContentPane2=null;
		
		try {
			newContentPane2 = new Tabla_mezuak(mezuMotak,data1, data2);
		} catch (SQLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		newContentPane2.setBounds(12, 3, 986, 221);
		
				
		contentPane.add(newContentPane2);
		contentPane.add(newContentPane1);
		newContentPane1.setOpaque(true);
		newContentPane2.setOpaque(true);
		newContentPane2.setLayout(new MigLayout("", "[]", "[]"));
	}
	
	
	public void botoiakSortu(final long data1, final long data2,final ArrayList<String> tweetMotak, final ArrayList<String> mezuMotak){
		
		
		JButton exportatu = new JButton(hA.getValue("exp1"));
		exportatu.setBounds(756, 477, 109, 41);
		contentPane.add(exportatu);
		
		exportatu.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent arg0) {
				
				
				tweetMotak.addAll(mezuMotak);
				Aplikazioa.getInstantzia().getBabeskopiakExportatu().exportatuDatuak(tweetMotak, data1,data2,pathaText, izena.getText());			
				
			}
		});
		JButton btnIrten = new JButton(hA.getValue("i"));
		btnIrten.setBounds(877, 477, 109, 41);
		contentPane.add(btnIrten);
		
		btnIrten.addActionListener(new ActionListener() {
			
			
			public void actionPerformed(ActionEvent arg0) {
				Bentana.this.dispose();
				
			}
		});
		
		
		JButton arakatu = new JButton(hA.getValue("exam"));
		arakatu.setBounds(20, 477, 109, 41);
		contentPane.add(arakatu);
		
		arakatu.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
				
				JFileChooser examinar= new JFileChooser();
				examinar.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
				int erantzuna= examinar.showSaveDialog(Bentana.this);
				examinar.setVisible(true);
				
				if(erantzuna==JFileChooser.APPROVE_OPTION){
				
				setPathaText(examinar.getSelectedFile().getAbsolutePath());
				pathaLekua.setText(pathaText);
				
				}
				
			}
		});
	}
	
	

	}


