package Klaseak;
import java.awt.HeadlessException;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.sql.SQLException;
import java.util.Vector;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JTextField;
import javax.swing.JLabel;

import twitter4j.Twitter;
import twitter4j.TwitterException;
import twitter4j.TwitterFactory;
import twitter4j.auth.AccessToken;
import twitter4j.auth.RequestToken;
import twitter4j.conf.Configuration;
import twitter4j.conf.ConfigurationBuilder;

import javax.swing.JButton;
import javax.swing.JPasswordField;
import javax.swing.ButtonGroup;
import javax.swing.JOptionPane;
import javax.swing.JRadioButton;


public class Erregistratu extends JFrame {

	private JPanel contentPane;
	private JTextField txtPina;
	private JPasswordField pasahitza1,pasahitza2;
	private JTextField testua = new JTextField();
	private ButtonGroup taldea;
	private Erregistro_kontsultak kontsulta = new Erregistro_kontsultak();
	private JPanel panel = new JPanel();
	private JPanel panel_1 = new JPanel();
	private JRadioButton rdbtnGaztelera,rdbtnIngelera,rdbtnEuskera, rdbtnAlemaniera;	
	
	/**
	 * Launch the application.
	 * 
	 * @throws SQLException
	 * @throws TwitterException
	 */
	public static void main(String[] args) throws TwitterException,
			SQLException {

		Erregistratu frame = new Erregistratu();

	}

	/**
	 * Create the frame.
	 * 
	 
	 */
	public Erregistratu() {
		this.setTitle("Erregistroa");
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(200, 200, 880, 500);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);

		taldeaSortu();
		labelakSortu();
		RequestToken requestToken = urlSortu();
		pasahitzakSortu();
		panelakSortu();
		textakSortu();
		botoiakSortu(requestToken);

		this.setVisible(true);

	}

	public RequestToken urlLortu() {

		
		Consumer consumer = kontsulta.consumerLortu();

		String key = consumer.getConsumerKey();
		String secret = consumer.getConsumerSecrect();

		ConfigurationBuilder builder = new ConfigurationBuilder();
		builder.setOAuthConsumerKey(key);
		builder.setOAuthConsumerSecret(secret);
		twitter4j.conf.Configuration configuration = builder.build();
		TwitterFactory factory = new TwitterFactory(configuration);
		Twitter twitter = factory.getInstance();
		
		try {
			RequestToken requestToken = twitter.getOAuthRequestToken();

			return requestToken;

		} catch (TwitterException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		return null; // hona ez gara inoiz heldu behar

	}

	public void tokenakLortu(RequestToken requestToken) {

		String idatzitakoIzena = testua.getText();
		Twitter twitter = TwitterFactory.getSingleton();
		AccessToken accessToken = null;

			while (null == accessToken) {
				String pina = txtPina.getText();

				try {
					if (pina.length() > 0) {
						accessToken = twitter.getOAuthAccessToken(requestToken,pina);
						String tokena = accessToken.getToken();
						String secreta = accessToken.getTokenSecret();
						String izen = accessToken.getScreenName();
						String kontraseña1 = String.valueOf(pasahitza1.getPassword());
													

							while (!(idatzitakoIzena.equals(izen))){
								idatzitakoIzena = JOptionPane.showInputDialog("Barkatu! Zure izena txarto jarri duzu! Saiatu zaitez hementze bertan!", null);
											
							}
								
								try {
									if (!(kontsulta.konprobatu(idatzitakoIzena))) {
									//erabiltzailea ondo kautotu da aplikazioan eta twiterren.
									erregistroaEgin(izen, kontraseña1, tokena, secreta);
									
									
									}else{
										JOptionPane.showMessageDialog(null,
												"Aplikazio honetan erregistratuta zaude, beraz, segituan logeatu zaitezke!");
										JFrame frame = Aplikazioa.getInstantzia().getLogina();
										Erregistratu.this.dispose();
										frame.setVisible(true);
										
									}
								} catch (HeadlessException e) {
									// TODO Auto-generated catch block
									e.printStackTrace();
								} catch (SQLException e) {
									// TODO Auto-generated catch block
									e.printStackTrace();
								}
															

					} else {
						accessToken = twitter.getOAuthAccessToken();
					}
				} catch (TwitterException te) {
					if (401 == te.getStatusCode()) {
						System.out.println("Unable to get the access token.");
						//hona heltzen bada pina txarto sartuta dagoelako izango da, arazoa da, 
						//bukle batean geratzen da sartuta, eta ganera link aldatu beharko da ondo funtzionatzen jarraitu dezan.		
						JOptionPane.showMessageDialog(Erregistratu.this, "PIN INCORRECTO");
						JFrame frame=Aplikazioa.getInstantzia().getErregistratu();
						Erregistratu.this.dispose();
						frame.setVisible(true);
						break;
					} else {
						te.printStackTrace();
					}
				}
			}

		

	}

	

	public void taldeaSortu() {

		taldea = new ButtonGroup();

		rdbtnGaztelera = new JRadioButton("Gaztelera");
		panel_1.add(rdbtnGaztelera);

		taldea.add(rdbtnGaztelera);
		
		rdbtnIngelera = new JRadioButton("Ingelera");
		panel_1.add(rdbtnIngelera);
		
		taldea.add(rdbtnIngelera);

		rdbtnEuskera = new JRadioButton("Euskera");
		panel_1.add(rdbtnEuskera);
		rdbtnEuskera.setSelected(true);
		
		taldea.add(rdbtnEuskera);
	
		rdbtnAlemaniera = new JRadioButton("Alemaniera");
		panel_1.add(rdbtnAlemaniera);
		
		taldea.add(rdbtnAlemaniera);
		

	}

	public void labelakSortu() {

		JLabel lblNorZaraTwiterren = new JLabel(
				"Nor zara? twiterren erabiltzen duzun izena jarri");
		lblNorZaraTwiterren.setBounds(12, 32, 361, 15);
		contentPane.add(lblNorZaraTwiterren);

		JLabel lblAplikazioHonetanSartzeko = new JLabel(
				"Aplikazio honetan sartzeko pasahitz bat ezarri:");
		lblAplikazioHonetanSartzeko.setBounds(12, 96, 380, 15);
		contentPane.add(lblAplikazioHonetanSartzeko);

		JLabel lblPasahitzaBarriroSartu = new JLabel("Pasahitza barriro sartu:");
		lblPasahitzaBarriroSartu.setBounds(18, 144, 184, 15);
		contentPane.add(lblPasahitzaBarriroSartu);
		
				
		
		JLabel lblOrainLinkHonetan = new JLabel(
				"Orain Twitter baimenak lortzeko pin bat idatzi beharko duzu, hori lortzeko zure datuak sartu hurrengo likean:");
		lblOrainLinkHonetan.setBounds(12, 184, 834, 15);
		contentPane.add(lblOrainLinkHonetan);

		JLabel lblLortutakoPinaSartu = new JLabel("Lortutako Pina sartu:");
		lblLortutakoPinaSartu.setBounds(26, 264, 152, 15);
		contentPane.add(lblLortutakoPinaSartu);

		JLabel lblZeinHizkuntzatanNahi = new JLabel(
				"Zein hizkuntzatan nahi duzu Aplikazioa?");
		lblZeinHizkuntzatanNahi.setBounds(12, 341, 296, 15);
		contentPane.add(lblZeinHizkuntzatanNahi);

	}

	public void botoiakSortu(final RequestToken requestToken) {

		JButton btnIrten = new JButton("Irten");
		btnIrten.setBounds(770, 409, 68, 25);
		contentPane.add(btnIrten);
		btnIrten.addActionListener(new ActionListener() {

			public void actionPerformed(ActionEvent e) {
				JFrame frame = Aplikazioa.getInstantzia().getLogina();
				Erregistratu.this.dispose();
				frame.setVisible(true);
			}
		});

		JButton btnErresgistroaBukatu = new JButton("Erresgistroa bukatu");
		btnErresgistroaBukatu.setBounds(573, 409, 176, 25);
		contentPane.add(btnErresgistroaBukatu);
		

		
		
		btnErresgistroaBukatu.addActionListener(new ActionListener() {

			public void actionPerformed(ActionEvent e) {
				String kontraseña1 = String.valueOf(pasahitza1.getPassword());
				String kontraseña2 = String.valueOf(pasahitza2.getPassword());
				
				if ((String.valueOf(kontraseña1).equals("")) || (String.valueOf(kontraseña2).equals("")) || (testua.getText().equals("")) || (txtPina.getText().equals(""))){
					JOptionPane.showMessageDialog(Erregistratu.this, "Ez dituzu datu guztiak sartu");
				}else{
					
				
					if(!(kontraseña1.equals(kontraseña2))){
						JOptionPane.showMessageDialog(Erregistratu.this,
								"Barkatu! Pasahitzak ez dira bardinak! Saiatu berriro!");
						pasahitza1.setText(null);
						pasahitza2.setText(null);
				
					}else{
					
						Erregistratu.this.tokenakLortu(requestToken);
					}
				
						
										
							
				}
			}
		});

	}


	public void pasahitzakSortu() {

		pasahitza1 = new JPasswordField();
		pasahitza1.setBounds(365, 94, 166, 19);
		contentPane.add(pasahitza1);

		pasahitza2 = new JPasswordField();
		pasahitza2.setBounds(200, 142, 190, 19);
		contentPane.add(pasahitza2);
	}

	public RequestToken urlSortu() {

		URLabel label = new URLabel();
		label.setBounds(22, 211, 91, 15);
		label.setText("Sartu hemen");
		final RequestToken requestToken = urlLortu();
		label.setURL(requestToken.getAuthorizationURL());
		getContentPane().add(label);
		return requestToken;
	}

	public void panelakSortu() {

		panel.setBounds(36, 19, 1, 1);
		contentPane.add(panel);
		panel.setLayout(null);

		panel_1.setBounds(339, 317, 229, 66);
		contentPane.add(panel_1);
	}

	public void textakSortu() {

		testua.setBounds(365, 30, 114, 19);
		contentPane.add(testua);
		testua.setColumns(10);

		txtPina = new JTextField();
		txtPina.setBounds(183, 262, 114, 19);
		contentPane.add(txtPina);
		txtPina.setColumns(10);

	}
	
	public void hizkuntzenArraiakSortuEtaGorde(){
		
		Twitter twitter = Aplikazioa.getInstantzia().getTwitter();
			
		Vector<String> hizkuntzak =new Vector<String>();
		hizkuntzak.addElement("Euskera");
		hizkuntzak.addElement("Gaztelera");
		hizkuntzak.addElement("Ingelera");
		hizkuntzak.addElement("Alemaniera");
		
		 Vector<JRadioButton> aukerak= new Vector<JRadioButton>();
		aukerak.addElement(rdbtnEuskera);
		aukerak.addElement(rdbtnGaztelera);
		aukerak.addElement(rdbtnIngelera);
		aukerak.addElement(rdbtnAlemaniera);
		
		boolean aurkitua=false;
		int i=0;
		while (!aurkitua){
			System.out.println(aukerak.elementAt(i).isSelected());
			if (aukerak.elementAt(i).isSelected()){
				aurkitua=true;
				String aukeratutakoHizkuntza=hizkuntzak.elementAt(i);
				System.out.println(aukeratutakoHizkuntza);
				try {
					kontsulta.hizkuntzaGorde(aukeratutakoHizkuntza,twitter.getScreenName());
				} catch (IllegalStateException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				} catch (TwitterException e) {
					// TODO Auto-generated catch block
					e.printStackTrace();
				}
			}else{
				i++;
			
					
			}
	
		}

	}
	
	public void erregistroaEgin(String izen, String kontraseña1, String tokena, String secreta){
		
		
		
		kontsulta.kargatuErabiltzailea(izen, kontraseña1);
		kontsulta.datuakGorde(izen, tokena, secreta);
		Consumer consumer = kontsulta.consumerLortu();
		String consumerKey = consumer.getConsumerKey();
		String consumerSecret = consumer.getConsumerSecrect();
		
		ConfigurationBuilder builder = new ConfigurationBuilder();
		builder.setOAuthConsumerKey(consumerKey);
		builder.setOAuthConsumerSecret(consumerSecret);
		builder.setOAuthAccessToken(tokena);
		builder.setOAuthAccessTokenSecret(secreta);
		Configuration configuration = builder.build();
		TwitterFactory factory = new TwitterFactory(configuration);
		Aplikazioa.getInstantzia().setTwitter(factory.getInstance());
		hizkuntzenArraiakSortuEtaGorde();
		JFrame menuN=Aplikazioa.getInstantzia().getMenuNagusia();
		Erregistratu.this.dispose();
		menuN.setVisible(true);
		
		
	}
}
