package Klaseak;
import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.sql.SQLException;
import java.util.Date;

import javax.swing.BoxLayout;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JButton;

import org.jfree.chart.ChartFactory;
import org.jfree.chart.ChartPanel;
import org.jfree.chart.ChartUtilities;
import org.jfree.chart.JFreeChart;
import org.jfree.chart.axis.CategoryAxis;
import org.jfree.chart.axis.CategoryLabelPositions;
import org.jfree.chart.plot.CategoryPlot;
import org.jfree.chart.plot.PiePlot3D;
import org.jfree.chart.plot.PlotOrientation;
import org.jfree.data.category.DefaultCategoryDataset;
import org.jfree.data.general.DefaultPieDataset;
import org.jfree.data.general.PieDataset;
import org.jfree.util.Rotation;

import twitter4j.Twitter;
import twitter4j.TwitterException;

import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.File;


public class GrafikoOrokorra extends JFrame {

	private JPanel contentPane;
	private	JPanel panel_1,panel; 
	private static HizkuntzaAldaketa hA = new HizkuntzaAldaketa();
	
	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					GrafikoOrokorra frame = new GrafikoOrokorra(null,null);
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public GrafikoOrokorra(Date data1,Date data2) {
		super(hA.getValue("gr"));
		setBounds(100, 100, 776, 487);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		
		contentPane.setLayout(new BoxLayout(contentPane, BoxLayout.Y_AXIS));
		
		panel = new JPanel();
		contentPane.add(panel);
		panel.setLayout(new FlowLayout(FlowLayout.CENTER, 5, 5));
		
		panel_1 = new JPanel();
		contentPane.add(panel_1);
		
		panel.add(GrafikoaGaztaia.grafikoaAtera("",data1,data2));
		panel.add(GrafikoakBarra.grafikoaAtera("",data1,data2));
		panel_1.setLayout(new FlowLayout(FlowLayout.RIGHT, 5, 5));
		
		botoiaSortu();
	}
	
	public void botoiaSortu(){
		
		
		JButton irten = new JButton(hA.getValue("i"));
		panel_1.add(irten);
		
		irten.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent arg0) {
				
				GrafikoOrokorra.this.dispose();
			}
		});
		
	}
	

}
