package Klaseak;
import java.awt.BorderLayout;
import java.awt.EventQueue;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JCheckBox;
import javax.swing.JOptionPane;

import twitter4j.Twitter;
import twitter4j.TwitterException;
import twitter4j.TwitterFactory;



public class KopiakBorratu extends JFrame {

	private JPanel contentPane;
	private JCheckBox tweetGuztiak, mentzioak,faboritoak,jasotakoMezuak,bidalitakoMezuak,retweetak,tweetak;
	private HizkuntzaAldaketa hA= new HizkuntzaAldaketa();
	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					KopiakBorratu frame = new KopiakBorratu();
					frame.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the frame.
	 */
	public KopiakBorratu() {
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setBounds(100, 100, 450, 300);
		contentPane = new JPanel();
		contentPane.setBorder(new EmptyBorder(5, 5, 5, 5));
		setContentPane(contentPane);
		contentPane.setLayout(null);
		
		checkBoxakSortu();
		jLabelakSortu();
		botoiakSortu();
	
	}
	
	public void botoiakSortu(){
		
		JButton btnIrten = new JButton(hA.getValue("i"));
		btnIrten.setBounds(188, 234, 117, 25);
		contentPane.add(btnIrten);
		
		btnIrten.addActionListener(new ActionListener() {
			
			
			public void actionPerformed(ActionEvent arg0) {
				
				JFrame frame=Aplikazioa.getInstantzia().getMenuNagusia();
				KopiakBorratu.this.dispose();
				frame.setVisible(true);
				
			}
		});
		
		JButton btnBorratu = new JButton(hA.getValue("borr"));
		btnBorratu.setBounds(319, 234, 117, 25);
		contentPane.add(btnBorratu);
		
		
		
		
		
		btnBorratu.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent e) {
				try {
											
					tweetakBorratu();
										
				} catch (IllegalStateException | TwitterException e1) {
					// TODO Auto-generated catch block
					e1.printStackTrace();
				}
				
			}
		});
		
		
	}
	
	public void checkBoxakSortu(){
		
		tweetGuztiak = new JCheckBox(hA.getValue("d"));
		tweetGuztiak.setBounds(8, 43, 146, 23);
		contentPane.add(tweetGuztiak);
		
		tweetGuztiak.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent e) {
				
				if (tweetGuztiak.isSelected()){
					mentzioak.setEnabled(false);
					faboritoak.setEnabled(false);
					tweetak.setEnabled(false);
					retweetak.setEnabled(false);
					jasotakoMezuak.setEnabled(false);
					bidalitakoMezuak.setEnabled(false);
				}else{
					mentzioak.setEnabled(true);
					faboritoak.setEnabled(true);
					tweetak.setEnabled(true);
					retweetak.setEnabled(true);
					jasotakoMezuak.setEnabled(true);
					bidalitakoMezuak.setEnabled(true);
					
				}
				
			}
		});
		
		mentzioak = new JCheckBox(hA.getValue("m"));
		mentzioak.setBounds(8, 81, 182, 23);
		contentPane.add(mentzioak);
		
		faboritoak = new JCheckBox(hA.getValue("f"));
		faboritoak.setBounds(194, 81, 242, 23);
		contentPane.add(faboritoak);
		
		jasotakoMezuak = new JCheckBox(hA.getValue("jmz"));
		jasotakoMezuak.setBounds(194, 117, 242, 23);
		contentPane.add(jasotakoMezuak);
		
		bidalitakoMezuak = new JCheckBox(hA.getValue("imz"));
		bidalitakoMezuak.setBounds(8, 157, 247, 23);
		contentPane.add(bidalitakoMezuak);
		
		retweetak = new JCheckBox(hA.getValue("rt"));
		retweetak.setBounds(8, 117, 190, 23);
		contentPane.add(retweetak);
		
		tweetak = new JCheckBox(hA.getValue("t"));
		tweetak.setBounds(194, 43, 230, 23);
		contentPane.add(tweetak);
		
	}
	
	public void jLabelakSortu(){
		
			
		JLabel lblNewLabel = new JLabel(hA.getValue("zerborr"));
		lblNewLabel.setBounds(8, 12, 310, 15);
		contentPane.add(lblNewLabel);
		
	}
	
	public void tweetakBorratu() throws IllegalStateException, TwitterException {
		
		int baiAlaEz = JOptionPane.showOptionDialog(KopiakBorratu.this,  hA.getValue("iruzkBo"), hA.getValue("k"), JOptionPane.YES_NO_OPTION,JOptionPane.WARNING_MESSAGE,
			    null, new Object[] { hA.getValue("bai"),  hA.getValue("ez")},null);
		if(baiAlaEz==0){
		
		
		
		if(!tweetGuztiak.isSelected() & !mentzioak.isSelected() & !faboritoak.isSelected() & !tweetak.isSelected() & !jasotakoMezuak.isSelected() & !bidalitakoMezuak.isSelected() & !retweetak.isSelected()){
			JOptionPane.showMessageDialog(KopiakBorratu.this, hA.getValue("mark"));
		}else{
			Borratu_kontsulta kontsulta= new Borratu_kontsulta();
			
			String izena = Aplikazioa.getInstantzia().getTwitter().getScreenName();
			String aukera;
			
			if (tweetGuztiak.isSelected()){
				
				kontsulta.denaBorratu(izena);
				JOptionPane.showMessageDialog(KopiakBorratu.this, hA.getValue("ok1"));
				
			}else{
				
				if(mentzioak.isSelected()){
					
					aukera="Mentzioa";
					kontsulta.tweetakBorratu(izena, aukera);
					
				}else if (faboritoak.isSelected()){
					
					aukera= "Faboritoa";
					kontsulta.tweetakBorratu(izena,aukera);
					
				}else if (jasotakoMezuak.isSelected()){
					
					aukera="jasotakoa";
					kontsulta.mezuakBorratu(izena, aukera);
					
				}else if(bidalitakoMezuak.isSelected()){
					
					aukera="bidalitakoa";
					kontsulta.mezuakBorratu(izena, aukera);
					
				}else if(retweetak.isSelected()){
					
					aukera= "RT";
					kontsulta.tweetakBorratu(izena, aukera);
					
				}else if(tweetak.isSelected()){
					
					
					kontsulta.borratuTweetakBakarrik(izena);
					
				}
				 JOptionPane.showMessageDialog(KopiakBorratu.this,hA.getValue("borrOndo"));
				 
			}
		}
			
		
	}
		hasieratu();
	}
	
	public void hasieratu(){
		tweetak.setSelected(false);
		mentzioak.setSelected(false);
		faboritoak.setSelected(false);
		retweetak.setSelected(false);
		bidalitakoMezuak.setSelected(false);
		jasotakoMezuak.setSelected(false);
	}
}
