package Klaseak;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.Vector;

import javax.swing.table.AbstractTableModel;
import javax.swing.table.TableModel;

import twitter4j.Twitter;
import twitter4j.TwitterException;
import twitter4j.TwitterFactory;


public class NireModeloa_mezuak extends AbstractTableModel {
	
	
	
	private Vector<Lag_mezuak> datuak = new Vector<Lag_mezuak>();
	private Vector<String> zutabeIzenak = new Vector<String>();
	private static DBKud dbk = DBKud.getInstantzia();
	private HizkuntzaAldaketa hA= new HizkuntzaAldaketa();
	
	public NireModeloa_mezuak(ArrayList<String> mezuMotak,long data1, long data2) throws SQLException{
		if (!(mezuMotak==null)){
		hasieratuZutabeIzenak();
		datuakLortu(mezuMotak,data1, data2);
		}
	}
	public void hasieratuZutabeIzenak(){
		
		zutabeIzenak.add(hA.getValue("nork"));
		zutabeIzenak.add(hA.getValue("nori"));
		zutabeIzenak.add(hA.getValue("test"));
		zutabeIzenak.add(hA.getValue("eguna"));
		zutabeIzenak.add(hA.getValue("id"));
	}
	

	public int getColumnCount() {
		
		return zutabeIzenak.size();
		
	}

	
	public int getRowCount() {
		
		return datuak.size();
		
	}

	
	public Object getValueAt(int lerroa, int zutabea) {
		
		Lag_mezuak lerro = datuak.elementAt(lerroa);
		Object obj = lerro.getBalioa(zutabea);
	
		
		return obj;
	}
	
	public String getColumnName(int col){
		
		return zutabeIzenak.elementAt(col);
		
	}
	
	public void kargatu(String a, String b, String c, Timestamp d, long e){
			
			Lag_mezuak berria= new Lag_mezuak(a,b,c,d,e);
			datuak.add(berria);
		
	}
	
	public Class getColumnClass(){
		
		return null;
	}
	
	public void datuakLortu(ArrayList<String> mezuMotak, long data1, long data2) throws SQLException{
		
		String erabiltzaile_izena = null;
		try {
			erabiltzaile_izena = Aplikazioa.getInstantzia().getTwitter().getScreenName();
		} catch (IllegalStateException | TwitterException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		Iterator<String> it = mezuMotak.iterator();
		
		String s1;
		String mota;
		while (it.hasNext()){
			mota=it.next();
			if (mota.equals("bidalitakoa")){
			s1 = "Select NorkIdatzia, NoriBidalia, Testua, Data,IdMezuZuzenak FROM MezuZuzenak WHERE Erabiltzaile_izena='"+erabiltzaile_izena+"'"
					+ "AND  NorkIdatzia='"+erabiltzaile_izena+"' AND (FROM_UNIXTIME('"+data1+"') <= Data AND Data<= FROM_UNIXTIME('"+data2+"'))";
			}else{
			s1 = "Select NorkIdatzia, NoriBidalia, Testua, Data,IdMezuZuzenak FROM MezuZuzenak WHERE Erabiltzaile_izena='"+erabiltzaile_izena+"'"
					+ " AND NoriBidalia='"+erabiltzaile_izena+"' AND (FROM_UNIXTIME('"+data1+"') <= Data AND Data<= FROM_UNIXTIME('"+data2+"'))";
			}

			ResultSet rs= dbk.execSQL(s1);
			
			
			while(rs.next()){
				String a = rs.getString("NorkIdatzia");


				String b = rs.getString("NoriBidalia");
				
				
				String c = rs.getString("Testua");
				
				Timestamp d = rs.getTimestamp("Data");
				
				long e = rs.getLong("IdMezuZuzenak");
				
				kargatu(a,b,c,d,e);
			}
		}
		
	}
	

}



