package Klaseak;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Date;


public class OrriakKontrolatu_kontsulta {

	private static DBKud dbk = DBKud.getInstantzia();
	
	
	public Date kopiaEgunaLortu(String erabiltzailea, String mota) throws SQLException {
		
		String s1= "SELECT Kopia_eguna FROM Orriak_kontrolatu WHERE Erabiltzaile_izena='"+erabiltzailea+"' AND Tweeta_mota='"+mota+"'";
		ResultSet rs=dbk.execSQL(s1);
		rs.next();
		return (rs.getDate("Kopia_eguna"));
	}
public int orriaLortu(String erabiltzaile, String mota) throws SQLException {
		
		String s1 = "SELECT Azken_orria FROM Orriak_kontrolatu WHERE Erabiltzaile_izena= '"+erabiltzaile+"' AND Tweeta_mota='"+mota+"'";
		ResultSet rs=dbk.execSQL(s1);
		rs.next();
		return rs.getInt("Azken_orria");		
	}
	
	public void kopiaEgunaHasieratu(String mota, String erabiltzailea){
		long gaurkoEguna= new Date().getTime()/1000L;
		String s1="INSERT INTO Orriak_kontrolatu(Erabiltzaile_izena,Tweeta_mota,Kopia_eguna) VALUES("
				+ "'"+erabiltzailea+"', '"+mota+"',FROM_UNIXTIME('"+gaurkoEguna+"')) ON DUPLICATE KEY UPDATE Kopia_eguna = FROM_UNIXTIME('"+gaurkoEguna+"')";
		dbk.execSQL(s1);
		
		
//		
//		
	}
	
	public long azkenID(String izena, String mota) throws SQLException{
		
		String s1 = "SELECT Azken_id FROM Orriak_kontrolatu WHERE Erabiltzaile_izena='"+izena+"' AND Tweeta_mota='"+mota+"' ";
		System.out.println(s1);
		ResultSet rs = dbk.execSQL(s1);
		rs.next();
		return rs.getLong("Azken_id");
		
		
	}
	
	public void erroreakGorde(String erabiltzailea, String mota, String aukera ) {
		String s1="UPDATE Orriak_kontrolatu SET Errorea='bai' WHERE Erabiltzaile_izena= '"+erabiltzailea+"'"
				+ " AND Tweeta_mota='"+mota+"'";
		dbk.execSQL(s1);
		
	}
	
	public void erroreaKendu(String erabiltzailea,String mota){
			
			String s1 = "UPDATE Orriak_kontrolatu SET Errorea= 'ez'  WHERE Erabiltzaile_izena= '"+erabiltzailea+"' AND Tweeta_mota='"+mota+"'";
			dbk.execSQL(s1);
			
			
		}
	
	public String aukeraLortu(String mota, String erabiltzailea) throws SQLException {
		String s1="SELECT Aukera FROM Orriak_kontrolatu WHERE Erabiltzaile_izena='"+erabiltzailea+"' AND Tweeta_mota='"+mota+"' ";
		 ResultSet rs = dbk.execSQL(s1);
		 rs.next();
		 return rs.getString("Aukera");
		
	}
	
	public void orriaKatxeatu(String erabiltzailea, int orria,  String mota,String aukera,long azkenID){
		
		
		String s1 ="UPDATE Orriak_kontrolatu SET Azken_orria='"+orria+"',"
				+ " Azken_id='"+azkenID+"', Aukera='"+aukera+"' WHERE Erabiltzaile_izena='"+erabiltzailea+"' AND Tweeta_mota='"+mota+"'"; 
		dbk.execSQL(s1);
		
	}
	
	public boolean existitzenDaKopiarik(String mota, String erabiltzailea){
		
		boolean baiEz=false;
		String s1="SELECT * FROM Orriak_kontrolatu WHERE Erabiltzaile_izena='"+erabiltzailea+"' and Tweeta_mota='"+mota+"'";
		
		ResultSet rs= dbk.execSQL(s1);
		try {
			if(rs.next()){
				baiEz= true;
			}
		} catch (SQLException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		return baiEz;
		}
	
}
