CREATE DATABASE  IF NOT EXISTS `DBTwitter` /*!40100 DEFAULT CHARACTER SET latin1 */;
USE `DBTwitter`;
-- MySQL dump 10.13  Distrib 5.5.34, for debian-linux-gnu (i686)
--
-- Host: 127.0.0.1    Database: DBTwitter
-- ------------------------------------------------------
-- Server version	5.5.34-0ubuntu0.13.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `Erabiltzailea`
--

DROP TABLE IF EXISTS `Erabiltzailea`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Erabiltzailea` (
  `Erabiltzaile_izena` varchar(50) NOT NULL,
  `pasahitza` varchar(45) NOT NULL,
  `argazkia` varchar(250) DEFAULT NULL,
  PRIMARY KEY (`Erabiltzaile_izena`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Erabiltzailea`
--

LOCK TABLES `Erabiltzailea` WRITE;
/*!40000 ALTER TABLE `Erabiltzailea` DISABLE KEYS */;
INSERT INTO `Erabiltzailea` VALUES ('imendibil','dc76e9f0c0006e8f919e0c515c66dbba3982f785',NULL);
/*!40000 ALTER TABLE `Erabiltzailea` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `KonfigurazioApp`
--

DROP TABLE IF EXISTS `KonfigurazioApp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `KonfigurazioApp` (
  `ConsumerKey` varchar(50) NOT NULL,
  `ConsumerSecret` varchar(50) NOT NULL,
  PRIMARY KEY (`ConsumerKey`,`ConsumerSecret`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `KonfigurazioApp`
--

LOCK TABLES `KonfigurazioApp` WRITE;
/*!40000 ALTER TABLE `KonfigurazioApp` DISABLE KEYS */;
INSERT INTO `KonfigurazioApp` VALUES ('L0RLYPF57DtjITHiVfKug','RIzkXbmU5o6U9tZnwy33IHDRfAMnkwuLfxBYpLa4');
/*!40000 ALTER TABLE `KonfigurazioApp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Konfigurazioa`
--

DROP TABLE IF EXISTS `Konfigurazioa`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Konfigurazioa` (
  `Erabiltzaile_izena` varchar(50) NOT NULL,
  `AccessToken` varchar(100) DEFAULT NULL,
  `AccessTokenSecret` varchar(100) DEFAULT NULL,
  `Euskera` enum('bai','ez') DEFAULT 'ez',
  `Gaztelera` enum('bai','ez') DEFAULT 'ez',
  `Ingelera` enum('bai','ez') DEFAULT 'ez',
  `Alemaniera` enum('bai','ez') DEFAULT 'ez',
  PRIMARY KEY (`Erabiltzaile_izena`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Konfigurazioa`
--

LOCK TABLES `Konfigurazioa` WRITE;
/*!40000 ALTER TABLE `Konfigurazioa` DISABLE KEYS */;
INSERT INTO `Konfigurazioa` VALUES ('imendibil','392747490-CErjm8hvyJMECTwtBtkPjDg6x2bsVA3zoMCUhRE3','QMDZx7MbYD8u1xxE4zE9ucMqKW9PztmNNMyhafNZ1zcd5','bai','ez','ez','ez');
/*!40000 ALTER TABLE `Konfigurazioa` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `MezuZuzenak`
--

DROP TABLE IF EXISTS `MezuZuzenak`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MezuZuzenak` (
  `idMezuZuzenak` bigint(20) unsigned NOT NULL,
  `Erabiltzaile_izena` varchar(50) NOT NULL,
  `NorkIdatzia` varchar(45) DEFAULT NULL,
  `NoriBidalia` varchar(45) DEFAULT NULL,
  `Testua` varchar(150) DEFAULT NULL,
  `Data` datetime DEFAULT NULL,
  `KopiaMomentua` datetime DEFAULT NULL,
  PRIMARY KEY (`idMezuZuzenak`,`Erabiltzaile_izena`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `MezuZuzenak`
--

LOCK TABLES `MezuZuzenak` WRITE;
/*!40000 ALTER TABLE `MezuZuzenak` DISABLE KEYS */;
INSERT INTO `MezuZuzenak` VALUES (251476841683103744,'imendibil','imendibil','I_maitena','Sii y a etxebarri se ba hacer tiempoooo!jajajajajaja','2012-09-28 02:22:05','2014-06-14 15:55:19'),(394155336417812480,'imendibil','imendibil','izarillo','kaixooooo izarilloooooooooooooooooooooooooooooooooooo','2013-10-26 19:35:29','2014-06-14 15:55:19'),(394159314689982468,'imendibil','imendibil','izarillo','no te asustes eeee leen esan dotzuten moduen pruebak direee!!!!! jajajaj mxx mokordo!','2013-10-26 19:51:18','2014-06-14 15:55:19'),(401321444996816896,'imendibil','imendibil','izarillo','aupaaaaaaaaa mokordoooo','2013-11-15 13:11:03','2014-06-14 15:55:19'),(401321544427003904,'imendibil','imendibil','izarillo','asko bidaliko dotzudaz xq ando kon las malditas pruebas acer si funcionan','2013-11-15 13:11:27','2014-06-14 15:55:19'),(401321673108254720,'imendibil','imendibil','izarillo','xq si usas un kosa solo konsiges los 20 primeros aunk tengas 40 mensajes de estos guarros jejej','2013-11-15 13:11:57','2014-06-14 15:55:19'),(401321775055011840,'imendibil','imendibil','izarillo','y si usas otra mobida supuestamente te da mas ta da ikusteko aber diferentzia gertatzen bada edo ez jajaja','2013-11-15 13:12:22','2014-06-14 15:55:19'),(401321803467223040,'imendibil','imendibil','izarillo','si te mareo muxo dimeeeee','2013-11-15 13:12:28','2014-06-14 15:55:19'),(401321827630600192,'imendibil','imendibil','izarillo','geur urtengozu???','2013-11-15 13:12:34','2014-06-14 15:55:19'),(401321862602698752,'imendibil','imendibil','izarillo','ace ya dos semanikas q no te beo titiiii','2013-11-15 13:12:42','2014-06-14 15:55:19'),(401322175384551424,'imendibil','imendibil','izarillo','ta ni bier noa iratzarregaz goizean gasteizera bere aita bille ta gero jaten noa sopera azkenean juerga botako dot bierrr','2013-11-15 13:13:57','2014-06-14 15:55:19'),(401322348508643328,'imendibil','imendibil','izarillo','q ya llebo un mes sin beber y komo espere asta azoka puedo piyar una q ni alfredo en sus mejores momentos ulertzen?? jejejejej','2013-11-15 13:14:38','2014-06-14 15:55:19'),(401322469967298560,'imendibil','imendibil','izarillo','orduan kalentamientoa egingo det bier apurke apurke espero no pasarme!! ta datorrean astean da libre eguna durangon ta urrengokoan zornotzan','2013-11-15 13:15:07','2014-06-14 15:55:19'),(401322580252303360,'imendibil','imendibil','izarillo','nose lo q are bainaaa tampk kiero beber todos los findesss!!! ta gero dela azoka asta gabonaz nada! jeje','2013-11-15 13:15:33','2014-06-14 15:55:19'),(401322606647070721,'imendibil','imendibil','izarillo','er moduz ikesten titi????????????','2013-11-15 13:15:40','2014-06-14 15:55:19'),(401322946687672320,'imendibil','imendibil','iraartetxe','kaixo iraaaaaaaa!!!!1 soy la hacker numero uno!!!!!! jejejejejejejeje','2013-11-15 13:17:01','2014-06-14 15:55:19'),(401323084885807104,'imendibil','imendibil','MirenIgeregi','kaixo dentist!!!!zln zaude???????????? jejejejejej','2013-11-15 13:17:34','2014-06-14 15:55:19'),(401323468450701312,'imendibil','MirenIgeregi','imendibil','Oooo ene informatikari lirainaaa!!hametikan ongi, hortikan?hotza protagonista dugo gaurkoan jajaja','2013-11-15 13:19:05','2014-06-14 15:55:18'),(401323625808408576,'imendibil','imendibil','Goizan','olaaaaaaaa safaris girl!aj q tal ba lo tuyo? ya puedes andar bien oq?? muxo daño ?  jejejej siges kon puntos o grapas o komo?jajajajaj','2013-11-15 13:19:43','2014-06-14 15:55:19'),(401324128466399232,'imendibil','imendibil','MirenIgeregi','oooooo jaja bai baiii hotz honegaz ezin da ezebez inn!! perezoya asta salir de kasaaa jejeje emen gusture berotannn kalefazinoagaz!!!jejejej','2013-11-15 13:21:43','2014-06-14 15:55:19'),(401324593992179713,'imendibil','MirenIgeregi','imendibil','Habra q abrigarse... madrid parece una pocilga todo basuraaa. X lo demas q tal tutti??','2013-11-15 13:23:34','2014-06-14 15:55:18'),(401329647927193600,'imendibil','imendibil','MirenIgeregi','yaaaa ya e bisto en la tele y asi lo de las basuraz1!! aber si el udaletxe ace algo de una bez1!! xq ya dices q asta x sanidad es malo tioo!','2013-11-15 13:43:39','2014-06-14 15:55:19'),(401329785101901824,'imendibil','imendibil','MirenIgeregi','emendik betiko moduenn ya sabes sin klase soy una baga y esas kosaitas! ando kon el proiek pero e tenido arazoz kon el ordenata. y aora ando','2013-11-15 13:44:11','2014-06-14 15:55:19'),(401330182533181440,'imendibil','imendibil','MirenIgeregi','kn las pruebas pa aber si konsigo la informacion q kero pa mi program x eso kiero twet mnsajs d sts y asipara konsgirlos!xlo d+zu ondo z?mua','2013-11-15 13:45:46','2014-06-14 15:55:19'),(401331636106981376,'imendibil','MirenIgeregi','imendibil','Jjajajjjjjjj la informatika sesii haciendo pruebass moltt be. Aqui bien sin novedades al frente con ganas de gabonaz yaa jajajaja','2013-11-15 13:51:33','2014-06-14 15:55:18'),(401335741705629696,'imendibil','Goizan','imendibil','Pues ya e avanzau,con una muleta ando y todavia ando cob dolor pero bueno.Pues 4 puntos tengo','2013-11-15 14:07:51','2014-06-14 15:55:18'),(404301619170656256,'imendibil','imendibil','izarillo','izaroooooooooooooooooooooooooooooooooooooooooooo la txatxa de asier goiko!!! jejejeje','2013-11-23 18:33:12','2014-06-14 15:55:18'),(404302185900814336,'imendibil','imendibil','karrax71','kaixo pitxin!!!!','2013-11-23 18:35:27','2014-06-14 15:55:18'),(404302464322924544,'imendibil','imendibil','karrax71','ando aciendo pruebas para acber kuantos mezuz de estos konsigo! nose si la todos o solo da los primeros xkopurua! jejeje','2013-11-23 18:36:33','2014-06-14 15:55:18'),(404302507872374784,'imendibil','imendibil','karrax71','orduen te boy a mandar mobidas ok??','2013-11-23 18:36:44','2014-06-14 15:55:18'),(404302547848278016,'imendibil','imendibil','karrax71','komo si te mando txorradas jejej','2013-11-23 18:36:53','2014-06-14 15:55:18'),(404302567196614656,'imendibil','imendibil','karrax71','aaaaaaa','2013-11-23 18:36:58','2014-06-14 15:55:18'),(404302576034017281,'imendibil','imendibil','karrax71','eeeeeeeeeeeeeeeeeeeeeee','2013-11-23 18:37:00','2014-06-14 15:55:18'),(404302591687163905,'imendibil','imendibil','karrax71','iiiiiiiiiiiiiiiiiiiiiiiii','2013-11-23 18:37:04','2014-06-14 15:55:18'),(404302601447305216,'imendibil','imendibil','karrax71','oooooooooooooooooooooooooooooooooooooooo','2013-11-23 18:37:06','2014-06-14 15:55:18'),(404302611765272577,'imendibil','imendibil','karrax71','uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu','2013-11-23 18:37:08','2014-06-14 15:55:18'),(404304136772259840,'imendibil','imendibil','izarillo','uuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuuu\naaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa','2013-11-23 18:43:12','2014-06-14 15:55:18'),(404305069296087042,'imendibil','izarillo','imendibil','Olaaaaq feeeeeeeeaaaaaaaaa','2013-11-23 18:46:54','2014-06-14 15:55:18'),(404305151487655936,'imendibil','izarillo','imendibil','Nonoooo el a ettxo el frrregauuuuuu jajajajajaja','2013-11-23 18:47:14','2014-06-14 15:55:18');
/*!40000 ALTER TABLE `MezuZuzenak` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Orriak_kontrolatu`
--

DROP TABLE IF EXISTS `Orriak_kontrolatu`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Orriak_kontrolatu` (
  `Erabiltzaile_izena` varchar(100) NOT NULL,
  `Azken_orria` int(11) DEFAULT '1',
  `Tweeta_mota` varchar(45) NOT NULL,
  `Errorea` enum('bai','ez') DEFAULT 'ez',
  `Azken_id` bigint(20) DEFAULT '0',
  `Aukera` varchar(45) DEFAULT NULL,
  `Kopia_eguna` datetime DEFAULT NULL,
  PRIMARY KEY (`Erabiltzaile_izena`,`Tweeta_mota`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Orriak_kontrolatu`
--

LOCK TABLES `Orriak_kontrolatu` WRITE;
/*!40000 ALTER TABLE `Orriak_kontrolatu` DISABLE KEYS */;
INSERT INTO `Orriak_kontrolatu` VALUES ('imendibil',3,'bidalitakoa','ez',404304136772259840,'azkenKopiatik','2014-06-14 17:02:47'),('imendibil',4,'Faboritoa','ez',377472407767744512,'azkenKopiatik','2014-06-14 17:02:47'),('imendibil',2,'jasotakoa','ez',404305151487655936,'azkenKopiatik','2014-06-14 17:02:47'),('imendibil',5,'Mentzioa','ez',231709329399619584,'azkenKopiatik','2014-06-14 17:02:47'),('imendibil',5,'RT','ez',255724795663114240,'azkenKopiatik','2014-06-14 17:02:47'),('imendibil',5,'Tweeta','ez',156841473327906816,'azkenKopiatik','2014-06-14 17:02:47');
/*!40000 ALTER TABLE `Orriak_kontrolatu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Tweet`
--

DROP TABLE IF EXISTS `Tweet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Tweet` (
  `idTweet` bigint(20) unsigned NOT NULL,
  `Erabiltzaile_izena` varchar(100) NOT NULL,
  `Norena` varchar(100) DEFAULT NULL,
  `Testua` varchar(150) DEFAULT NULL,
  `Data` datetime DEFAULT NULL,
  `Mentzioa` enum('bai','ez') DEFAULT 'ez',
  `Tweeta` enum('bai','ez') DEFAULT 'ez',
  `RT` enum('bai','ez') DEFAULT 'ez',
  `Faboritoa` enum('bai','ez') DEFAULT 'ez',
  `argazkia` varchar(250) DEFAULT NULL,
  `idGurasoa` int(40) DEFAULT NULL,
  `KopiaMomentua` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idTweet`,`Erabiltzaile_izena`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Tweet`
--

LOCK TABLES `Tweet` WRITE;
/*!40000 ALTER TABLE `Tweet` DISABLE KEYS */;
INSERT INTO `Tweet` VALUES (141069936654168064,'imendibil','tamtamaron','@imendibil PRINGADAAA!anda k ya m joderia madrugar para nadaaaaaaaaa bufii aunk sea t a sentau bien el viaje asta zuhatzu pa dsprtarte ejeje','2011-11-28 09:24:28','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(143806021951959040,'imendibil','MirenIgeregi','Cierras los ojos en madrid,y cuando abres en bilbo,ahora dejar maleta y pa durango con @imendibil y #eukene a ver q se cuece. #azoka11rules','2011-12-05 22:36:42','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(147617467408199680,'imendibil','MirenIgeregi','\"ikusi nahi ditugu behin eta betiko gure hamaika mutil mundi guztien kontra..\"Entradakaz eskuen @imendibil @aneelordi @smintegi @Mirentxiii','2011-12-16 11:02:01','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(156841473327906816,'imendibil','imendibil','Azterketaaaaaaak:programazinoaaaaaaa!','2012-01-10 21:54:55','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:51'),(156846947410509824,'imendibil','EukeneGonzalez','@imendibil  animo panpoxaa','2012-01-10 22:16:40','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(157754189408256000,'imendibil','EukeneGonzalez','Viernes 13 de enero....# Zorionak xabi ta @imendibil !! Ederto pasa egune ... Muak','2012-01-13 10:21:44','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(158301594444767232,'imendibil','MirenIgeregi','Aprendiendo de una maestra de ensaladas @imendibil http://t.co/AggId3jE','2012-01-14 22:36:55','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(165228747795087360,'imendibil','imendibil','@smintegi al final no bienes??? Baya putadaaaa!bueno asi estudias!jaja','2012-02-03 01:22:57','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:51'),(170640944130035712,'imendibil','MirenIgeregi','Gernika ruless with @imendibil @izarillo @Goizan @MaiteOzerin @Mirentxiii','2012-02-17 23:49:06','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(171730971010404352,'imendibil','MirenIgeregi','#Karnabalak2012 @smintegi @imendibil #idurre http://t.co/6N8SjVWW','2012-02-21 00:00:28','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(176039165929074688,'imendibil','MirenIgeregi','Despedida @Goizan !!!@smintegi  @imendibil @tamtamaron @MaiteOzerin @AneUrsa @Mirentxiii @izarillo http://t.co/zj27wi5X','2012-03-03 21:19:42','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(176049240743739393,'imendibil','Goizan','Despedidaa!Skerrik neskakk...@izarillo @MirenIgeregi @tamtamaron @AneUrsa @EukeneGonzalez @smintegi @MaiteOzerin @imendibil @lorealorea....','2012-03-03 21:59:44','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(180212460165398528,'imendibil','tamtamaron','Unibertsitaterantzaaaa con la grandiosa,espectacular,envidiable @imendibil te queremoooooos!!!','2012-03-15 09:42:53','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(180220995129454593,'imendibil','AneUrsa','@tamtamaron @imendibil we love youu itsasoooo!!!!!!!!jajajajajajajajaa','2012-03-15 10:16:48','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(180222107651817473,'imendibil','imendibil','@AneUrsa komo me kieres tanto? Esto es inkreibleeeeeee!ajajajaaj','2012-03-15 10:21:13','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:51'),(180222205630750720,'imendibil','imendibil','@tamtamaron loseee todos te tienen enbidiaaa siiii!ajajajaj','2012-03-15 10:21:36','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:51'),(187870031005229056,'imendibil','tamtamaron','Rumbo a la capital con@MirenIgeregi @izarillo @MaiteOzerin @smintegi @AneUrsa @imendibil y las #demas buff #neskatzakgeurliadeaaaaa','2012-04-05 13:51:20','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(198533405946806272,'imendibil','feasperomajas','@tamtamaron @AneUrsa @MaiteOzerin @imendibil @lorealorea @imendibil ahora si que siii...COMENZAMOSSS!!','2012-05-05 00:03:47','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(198536050447097856,'imendibil','feasperomajas','@MaiteOzerin @tamtamaron @imendibil @AneUrsa @lorealorea. La @imendibil tira de #segurosumpalumpa','2012-05-05 00:14:17','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(224242692941545472,'imendibil','MirenIgeregi','Calentando motores,#amoreruless #karmenak2012 @tamtamaron @Goizan @EukeneGonzalez @aneelordi @AneUrsa @imendibil @Mirentxiii @lorealorea ...','2012-07-14 22:43:18','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(227725101460758530,'imendibil','MirenIgeregi','\"Las noches que no quieres salir son las que mejor te pasas\", asi sera hoy, @smintegi @tamtamaron #iraia @imendibil .... ?','2012-07-24 13:21:09','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(229356405545660417,'imendibil','Goizan','@berritxarrak LarrabetUn with @aneelordi @AneUrsa @tamtamaron @lorealorea @imendibil','2012-07-29 01:23:22','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(230271801039679488,'imendibil','AneUrsa','Belatxikitara igoera @aneelordi @MirenIgeregi @imendibil #ainowi da oin pis!!!!!!','2012-07-31 14:00:50','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(230319217260519424,'imendibil','MirenIgeregi','Pisssss @AneUrsa @aneelordi @lorealorea @imendibil #ainhoa #iraia http://t.co/qdIDHldd','2012-07-31 17:09:15','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(231106233753542656,'imendibil','lorealorea','Muuuuy intxau...jay!! @AneUrsa @tamtamaron @EukeneGonzalez @imendibil','2012-08-02 21:16:34','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(231106512305659904,'imendibil','EukeneGonzalez','@lorealorea @AneUrsa @tamtamaron @imendibil @MirenIgeregi la peli mas larga del mundo q pasada y q txapa d pelii','2012-08-02 21:17:40','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(231107681287561216,'imendibil','lorealorea','No ai nada q acer evelyn i jeik pun y los rusos ns an inbadido stainly a uido @AneUrsa @tamtamaron @MirenIgeregi @imendibil @EukeneGonzalez','2012-08-02 21:22:19','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(231108314518405120,'imendibil','AneUrsa','@EukeneGonzalez @lorealorea @tamtamaron @imendibil @MirenIgeregi bukaera heldu da azkenean!!!!!!','2012-08-02 21:24:50','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(231686021073485824,'imendibil','MirenIgeregi','Despues de dias pa decidir disfraz con este tiempo igual es mejor ir de capitan pescanoba. @AneUrsa  @lorealorea @imendibil @tamtamaron ...','2012-08-04 11:40:26','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(231709329399619584,'imendibil','lorealorea','@MirenIgeregi @AneUrsa @imendibil @tamtamaron me mola','2012-08-04 13:13:03','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:57'),(236219858734444544,'imendibil','MirenIgeregi','Ojooooooo q fieztaaaaaa!!@MaiteOzerin @Goizan @aneelordi @AneUrsa @imendibil @Mirentxiii @izarillo http://t.co/dzWYE30m','2012-08-16 23:56:17','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(237975974896074752,'imendibil','EukeneGonzalez','Ven ven a vital dent @izarillo @Goizan @imendibil @EukeneGonzalez http://t.co/CfTLLzzf','2012-08-21 20:14:29','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(242243303616151552,'imendibil','MirenIgeregi','Jantzi alkondara urdiña eta pres zaitez gora eta bera ibiltzeko...hurrengo jaie #antzarrak12 @aneelordi @AneUrsa @smintegi @imendibil ...','2012-09-02 14:51:18','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(243278006477529089,'imendibil','Goizan','#anshareshore..baia dia noa spera @MirenIgeregi @imendibil @aneelordi @AneUrsa @MaiteOzerin @izarillo #ira #idu....','2012-09-05 11:22:51','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(250534817538646016,'imendibil','JOlagibel','Trabajando! @i_maitena @karrax @imendibil http://t.co/Tficxul3','2012-09-25 11:58:50','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(250535530385784832,'imendibil','MaitaneCespedes','@JOlagibel @I_maitena @karrax @imendibil trabajando??? jaja','2012-09-25 12:01:39','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(251476948805619712,'imendibil','imendibil','@I_maitena ya y a etxebarri se ba hacer tiempooooo!jajajaaj','2012-09-28 02:22:31','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:50'),(253110025797644288,'imendibil','imendibil','#ehurecorta http://t.co/RnIWlYhR','2012-10-02 14:31:47','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:50'),(255660847542697984,'imendibil','JOlagibel','Tensión en el aula. @I_maitena @karrax71 @imendibil','2012-10-09 15:27:50','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(255724795663114240,'imendibil','imendibil','RT @I_maitena: Es ilegal q una mujer vaya n bañador al aeropuesto si no va escoltada o con una porra!Esta ley no influye a las lleguas!@ ...','2012-10-09 19:41:57','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(282271203530522624,'imendibil','I_maitena','Santo Tomasak 2012- las tres mujeres de klase! @Imendibil http://t.co/O3kcTfSJ','2012-12-22 00:47:55','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(282283311123034113,'imendibil','MaitaneCespedes','@I_maitena @imendibil esto habra q subir al facebook no? Jaja','2012-12-22 01:36:00','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(282472361855442945,'imendibil','imendibil','RT @MaiteOzerin: Zure mugikor zaharra erabiliz, eman estaldura.\nInformaziño gehau gure ezkero:\n646191465\nRT mesedez! http://t.co/obZL9Ztd','2012-12-22 14:07:13','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(287225976964927489,'imendibil','aneelordi','\"@larbelaitz: Berri Txarraken  Harra  bideoklip berria, zaleek grabatutako irudiez osatua http://t.co/T8VSwdy via @naiz_info\"@imendibil','2013-01-04 16:56:23','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(287588314633080834,'imendibil','lorealorea','@imendibil todabia sigue enfadada cn sus padres,xq no le dieron CHULETONNN DEL MESONN!!! @iraiartetxe @MaiteOzerin #ahizpak','2013-01-05 16:56:12','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(289860064158814209,'imendibil','iraiartetxe','Pipipitoduro @lorealorea @MaiteOzerin @imendibil @aneelordi','2013-01-11 23:23:19','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(289869931456118786,'imendibil','lorealorea','@iraiartetxe los kleenex d @imendibil huelen a croqueta y patata #putaconchita','2013-01-12 00:02:31','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(289876545848352768,'imendibil','imendibil','RT @lorealorea: @aneelordi sto s l cnquistadr del fin dl mundo episodio2 duelo d inmunidad ane vs maritxalr todo x un sako d kaxkabexak  ...','2013-01-12 00:28:48','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(290472376494346240,'imendibil','aneelordi','ZORIONAK @imendibil !!  http://t.co/cS0nbp2','2013-01-13 15:56:25','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(294429695850733568,'imendibil','I_maitena','Oporretan!!! No me lo puedo creer! @imendibil','2013-01-24 14:01:24','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(298131681318154243,'imendibil','iraiartetxe','San blasetan: @MaiteOzerin @Mirentxiii @imendibil @aneelordi @AneUrsa @izarillo @lorealorea','2013-02-03 19:11:46','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(300035446975627264,'imendibil','Mirentxiii','De juerga en gerni tooo sensuals @aneelordi @MirenIgeregi  @MaiteOzerin  @imendibil http://t.co/DPNsAfhG','2013-02-09 01:16:39','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(313987770777489408,'imendibil','aneelordi','@berritxarrak kontzerturako sarrerak lortzeko azken aukera!! sartu @hirinet en eta parte hartu zozketan!\nhttp://t.co/KKj6xvLBvD\" @imendibil','2013-03-19 13:18:12','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(328823333741289474,'imendibil','neretxu7','@imendibil rubiiiiiaaaa!!!','2013-04-29 12:49:26','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(355028814310547457,'imendibil','MirenIgeregi','SanFermin there we GOOO!!!!!! @iraartetxe @imendibil @iduridu @MaiteOzerin  #sF','2013-07-10 20:20:40','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(355184288905437186,'imendibil','iduridu','Plaza de torosean!!! #SanFermin @MaiteOzerin @iraartetxe @MirenIgeregi @smintegi @imendibil','2013-07-11 06:38:28','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(370199880343764992,'imendibil','Mirentxiii','Tonight we are going to paint the town red @aneelordi @imendibil #astenagusia','2013-08-21 17:05:04','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(377472407767744512,'imendibil','EuskalPics','Laga, Ibarrangelu (Bizkaia) (Via @eitbcom ) http://t.co/ZTr5TzJLHT','2013-09-10 18:43:30','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:55'),(386149876922580992,'imendibil','iraartetxe','¡SOLO QUEDAN 93 DÍAS PARA LAS VACACIONES DE NAVIDAD! ¡VAMOOOOOSSS!\" pero nosotras segims.d vacanses ... #ahizpakrules.@imendibil @lorealorea','2013-10-04 17:24:39','bai','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:56'),(386151353950932993,'imendibil','lorealorea','@iraartetxe @imendibil ttomaaaaaaaa!!!! Tiritii tiritii titii zi zi zi zimba!parabapa txunpa txunpa txun me guxxxxtaaaa','2013-10-04 17:30:31','bai','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:56'),(386409680333197312,'imendibil','tamtamaron','@MaiteOzerin to chage one palet','2013-10-05 10:37:01','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:55'),(386411036674625536,'imendibil','AneUrsa','Paaalet on the floor!!! @MaiteOzerin','2013-10-05 10:42:24','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:55'),(386411356196728832,'imendibil','izarillo','Naaa nananana nanananana nanana the palet on the flooooorrrr!!! @MaiteOzerin','2013-10-05 10:43:41','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:55'),(386411791016001536,'imendibil','tamtamaron','@MaiteOzerin the woman who felt hers favourite palet in the foot of ane elordipss teacher','2013-10-05 10:45:24','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:55'),(386412111125307392,'imendibil','AneUrsa','@MaiteOzerin  the women without paaaleet\"!!Go to the dentist plissss!!!!','2013-10-05 10:46:41','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:55'),(387994887464812544,'imendibil','imendibil','lehenengo proba!!!!!!!;)','2013-10-09 19:36:04','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:50'),(388768520307474432,'imendibil','iraartetxe','Zornotza lleno de NERDS, EMOS y MITSUKIS','2013-10-11 22:50:12','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:55'),(390195153094598656,'imendibil','MirenIgeregi','Denborak aurrerantz egiten duelarik egun bat gutxiago dugu jadanik ... !!! Geurkoz sefiniiiu','2013-10-15 21:19:08','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:55'),(392305243498635264,'imendibil','rubenglez','\"Las mujeres más bellas están en la lucha, no en el Bershka\" http://t.co/lKv80g3E49','2013-10-21 17:03:53','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:55'),(395494110481895424,'imendibil','imendibil','RT @HodeiMissing: Hodei Egiluz (23) Urriak 19tik desagertuta #Antwerpen -en ¡RT! @HodeiMissing #HodeiEgiluz http://t.co/nhZjUdCtRf','2013-10-30 11:15:18','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(395494276739919872,'imendibil','imendibil','RT @tamtamaron: \"@HodeiMissing: Hodei Egiluz (23) desaparecido en Amberes desde el 19 de octubre ¡RT! @HodeiMissing #HodeiEgiluz http://t.c…','2013-10-30 11:15:58','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(395899550142976000,'imendibil','aneelordi','Zornotza eta Gernika batuko dabena tunela edo teletrasportadora ote? Ikusi!! https://t.co/aQDX6jKNpG','2013-10-31 14:06:22','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:55'),(395915755096932352,'imendibil','imendibil','RT @aneelordi: Zornotza eta Gernika batuko dabena tunela edo teletrasportadora ote? Ikusi!! https://t.co/aQDX6jKNpG','2013-10-31 15:10:46','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(396397118707236864,'imendibil','feasperomajas','El novio de @EukeneGonzalez http://t.co/pjK6zM9Vl4','2013-11-01 23:03:32','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(396398138820685824,'imendibil','EukeneGonzalez','perdona @iraartetxe  no te rias de mi nobio que bien guapo es y antes lo tuviste en tus manos. bien q le peinabas la melena y se la chupaba','2013-11-01 23:07:35','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(396398489774862336,'imendibil','AneUrsa','@feasperomajas graaaaaxiiiaaaas amoooreeeees!!!!!!barraaa libreee paaa tooodaaaas!!!!','2013-11-01 23:08:59','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(396398694708551680,'imendibil','feasperomajas','@imendibil arreglando la antena del loukal http://t.co/hEC6k7MJ1K','2013-11-01 23:09:48','bai','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:56'),(396398873864065024,'imendibil','imendibil','RT @feasperomajas: @imendibil arreglando la antena del loukal http://t.co/hEC6k7MJ1K','2013-11-01 23:10:30','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(398386148680400896,'imendibil','feasperomajas','Animo @Goizan !! Besikosssss de parte de tutis las @feasperomajas','2013-11-07 10:47:14','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(398817376373719040,'imendibil','aneelordi','suposatzen da ikasiaz berriro jausten ez zarela  baina beste behin egin dut gaur, gaur, gaur, gaur  \nta hurrengoan altxatuko naiz  #ZeaMays','2013-11-08 15:20:46','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(399233755480870912,'imendibil','MirenIgeregi','Sukalkie ein ez badaben be espero gabaz herrien itxi dun @feasperomajas -en erreprezentaziñoa \"q este a la altura\" #luisurrengoetxeakojaiek','2013-11-09 18:55:19','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(401311858608459776,'imendibil','imendibil','RT @feasperomajas: Animo @Goizan !! Besikosssss de parte de tutis las @feasperomajas','2013-11-15 12:32:57','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(402779463001604096,'imendibil','imendibil','RT @jpermach: Olentzerori gutun-eskaria. #GukGeureHezkuntzaErabaki\n#EuskalBidea http://t.co/7lh4YNhCUo','2013-11-19 13:44:41','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(402781434278346752,'imendibil','imendibil','RT @feasperomajas: Auuupa aritz http://t.co/8R3zwKRQyZ','2013-11-19 13:52:31','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(402789609613967360,'imendibil','imendibil','Zea mays*****http://t.co/YlUrDJOByW','2013-11-19 14:25:01','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:50'),(402793080539328512,'imendibil','imendibil','RT @HodeiMissing: Hoy a las 19:00 concentracion en la calle brouwersvliet, enfrente del KBC en #Amberes para recordar a #HodeiEgiluz http:/…','2013-11-19 14:38:48','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(402795091259318272,'imendibil','imendibil','RT @tamtamaron: \"@eitbcomBerriak: #HodeiEgiluz auziaren ikerketan aurrera egitea eskatuko dute gaur Galdakaon, elkarretaratze batean http:/…','2013-11-19 14:46:47','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(402815709551398913,'imendibil','imendibil','bErRi TxArRak   http://t.co/ReyqmFkRIn\nzure eskua nahi nuke! perfektua den ezer!!!!','2013-11-19 16:08:43','ez','bai','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(402916931319382016,'imendibil','iraartetxe','Andereño zuk zenbet urte dekozuz 40?? Ta zenbt ume???? #Sorry?????? --','2013-11-19 22:50:56','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(404291931699937280,'imendibil','imendibil','RT @aneelordi: #Saharar  ume jaio berrientzako erropak eta materialak(biberoiak,txupeteak...)biltzen gabiz!Parte hartu! Eskura emango ditug…','2013-11-23 17:54:42','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(405087533975232512,'imendibil','imendibil','RT @rubenglez: Si te pega, \nno te quiere! http://t.co/51hYUP6UsU','2013-11-25 22:36:08','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:53'),(405389778490638336,'imendibil','imendibil','EGUNEROOOOOO!!!! DENA OKERRRAGOOOOO!!!!! @AneUrsa zure abestia!!!! jajajaja http://t.co/ftaU0NeUkz','2013-11-26 18:37:09','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:50'),(405436796479102976,'imendibil','imendibil','@JoneMentxaka morosaaaa!!!! danos un tablet!! jejejeje q numero salio??? aber informamos!!! jejejej @aneelordi @imendibil','2013-11-26 21:43:59','bai','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(405437864088842240,'imendibil','AneUrsa','@imendibil itsasoooo t stas volviendo twitter adicta!!!!!!jajajjajajaajaa','2013-11-26 21:48:14','bai','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:56'),(405447144460406785,'imendibil','imendibil','@iraartetxe eres una freak!!!!! jejeje','2013-11-26 22:25:06','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:50'),(405449572991762433,'imendibil','iraartetxe','@imendibil deja de practicar pa tu puto proyecto! #Frikaza','2013-11-26 22:34:45','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(405450093853036544,'imendibil','imendibil','@iraartetxe te ekibokas esta vez no es x eso!!! jejejeje maldita #Frikaza !!!!!','2013-11-26 22:36:49','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:50'),(405450857904230404,'imendibil','iraartetxe','@imendibil itsasoooo k esto no es komo el askerosisisisisimo cady crush saga!!! #DejaElVicio','2013-11-26 22:39:52','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(405794514562187264,'imendibil','imendibil','RT @ZornotzakoGazte: Euskeraren egune!! http://t.co/99B8dTVdCK','2013-11-27 21:25:26','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(406185744957726720,'imendibil','MirenIgeregi','Ez ahaztu\"gauza txikiek ematen diote zentzua bizitzari\".Disfruteu esperientzi handi honegaz.biaje ona  @aneelordi http://t.co/aeFozt8sfC','2013-11-28 23:20:02','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(406841782614650880,'imendibil','imendibil','RT @HodeiMissing: 42 egun #HodeiEgiluz gabe, RT mesedez! #Amberes #Bèlgica http://t.co/bGMpIoz0s1','2013-11-30 18:46:54','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(407173027810799616,'imendibil','imendibil','RT @berritxarrak:  HARIA TOUR  Bilbon hasi zen eta Bilbon bukatuko. Gero arte!!  2012-II-03 / 2013-XII-01 http://t.co/zFXd5ZYWi1','2013-12-01 16:43:09','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(407625579488235520,'imendibil','guilleurkijo','ARGAZKI @berritxarrak - @kafeantzokia Bilbao [Fin de Gira ‘HARIA TOUR’] http://t.co/Cy4IEeH15x #music','2013-12-02 22:41:26','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(407933228771594241,'imendibil','imendibil','Kontsolatzerik ez! denbora ez da luzea, ustelak lurpera bizitza da haundiena galtzea, litzake galtzea dena. mikel laboa/berritxarrak.','2013-12-03 19:03:55','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:50'),(408274017465143296,'imendibil','imendibil','RT @NaturPictures: Meteora, Grecia en invierno. http://t.co/jFLlPxBmHs','2013-12-04 17:38:05','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(410428232874225664,'imendibil','berritxarrak','BABY BOOM!!!\nhttp://t.co/etJebzRNGr http://t.co/ET0KvQ1cqG','2013-12-10 16:18:10','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(410884999110348800,'imendibil','Roberttt9','http://t.co/NBDbGLaOoO','2013-12-11 22:33:12','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(410910702585774080,'imendibil','imendibil','RT @olatzarrietab: Hodei Egiluzen aita: ez degu itxaropena galdu,Belgikan nonbaiten egon liteke, kaleetan barrena. #eitbalbisteak','2013-12-12 00:15:20','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(410911157781037056,'imendibil','imendibil','RT @Roberttt9: http://t.co/NBDbGLaOoO','2013-12-12 00:17:09','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(413018574329217024,'imendibil','imendibil','RT @AneCuesta: Dtaile polita bertsolari txapelketan!! Zure zain jarraitzen dogu Hodei!! http://t.co/nQWBGrh3rU','2013-12-17 19:51:16','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(413018744005615616,'imendibil','imendibil','RT @tamtamaron: Bertsolari txapelketa finalean Hodei izan zuten gogoan eskerriiik askooo!mila eskeer!! Zure zain gauz lengus!! http://t.co/…','2013-12-17 19:51:56','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(413018781565616128,'imendibil','imendibil','RT @tamtamaron: \"@eitbcomBerriak: Elkarretaratzea Galdakaon, #Egiluz desagertu eta bi hilabetera http://t.co/5HFkJ7JRhb\"','2013-12-17 19:52:05','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(421065633187782656,'imendibil','feasperomajas','Zorionak Sakamuelas! Vale por un dia con @NickYoungquest en el retiro! @MirenIgeregi pasalo teta! ;) #HappyVaginas http://t.co/IP0BuQrtly','2014-01-09 00:47:24','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(421070860536254464,'imendibil','imendibil','ZORIONAK AMOR!nd paseu x los madrils ntre dients!:)zapatuen zu egon barik b ospatukogu! @MirenIgeregi  23 mxx! http://t.co/hqnHqZXKaF','2014-01-09 01:08:10','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:49'),(421210559351373824,'imendibil','MirenIgeregi','@imendibil skerrik asko titi, ajaja hoy tengo dia libre, soy en plan una trabajadora ya jojo. Zuek bai eztozuela denporarik pasaten. Mosuu??','2014-01-09 10:23:17','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(422016529597595648,'imendibil','aneelordi','#GuBagoaz @imendibil @Mirentxiii #TantazTanta #Konponbidea #humanrights','2014-01-11 15:45:56','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(422511137708867584,'imendibil','feasperomajas','Zorionak txikitina!! t regalams un fin d semana en Legutiano para disfrutr d la pesca con Sabin Salmonero @imendibil http://t.co/0c4F2MB02K','2014-01-13 00:31:19','bai','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:56'),(422512903343079424,'imendibil','iraartetxe','Zoriooonak txikitina!! As crecido 1cm mas! Lo sabes aora estamos a la par!!!!!!!! Siiiiii Disfruta d tu pesca ;p musutxuuuu @imendibil','2014-01-13 00:38:20','bai','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:56'),(422513910072082434,'imendibil','imendibil','@feasperomajas jaja eskerrik asko nire ahizpatxo txikiak!opari oso wapooa!benetan be!q wapo es Sabin umm denok batera legutianora jej! muaaa','2014-01-13 00:42:20','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:49'),(422514969872056320,'imendibil','imendibil','@iraartetxe q perrunaaa rubiruuuuuuuuuu!jajaja eskerrik asko!!oooo!biar denak egun pasa legutianoraaa!desietan!!bieen!!ajajaj muxutxu bat!;)','2014-01-13 00:46:33','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:49'),(422626931142844416,'imendibil','MirenIgeregi','Madrilletik zuzenean Zorionikk beroenak zuretzako,23 urteko titiburuak dituen neskatxari!!merezi dozuzen infinito mosu handi @imendibil ??','2014-01-13 08:11:27','bai','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:56'),(422683746718855168,'imendibil','imendibil','@MirenIgeregi oo!skerrik asko madrileko neska puxkarntzat!jej hemendik be muxu asko zuretzako!suerte azterketetakaz bebai!animo mi amol!muaa','2014-01-13 11:57:12','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:49'),(422697444984385536,'imendibil','tamtamaron','Oi se me ace mayor la niña de mis ojos..Happy birthday @imendibil primeran paseu amor!! p.d:sigo sperando esas maravillosas madalens ke aces','2014-01-13 12:51:38','bai','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:56'),(422698234767630338,'imendibil','imendibil','@tamtamaron yaaa me ago mayor no!q dolor!jeje eskerrik asko tamtam!jeje maravillosas nuse...pero beno barikuen ingo dodaz!! potola!!jej muaa','2014-01-13 12:54:47','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:49'),(422702248192659456,'imendibil','MirenIgeregi','@imendibil @tamtamaron eeee que lleguen unas a madrid, te mando la direccion y tal, grasiassss','2014-01-13 13:10:44','bai','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:56'),(423969131541438465,'imendibil','imendibil','@aneelordi ZORIONAK zuri! ZORIONAK beti! ZORIONAK ELORDIS! ZORIONAK zuri! aprobetxau egune ta meriendarako preparau!viejii!23tirakada ta mxx','2014-01-17 01:04:52','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:49'),(424093904665731073,'imendibil','aneelordi','Eskerrik asko @feasperomajas @imendibil @Goizan !!!','2014-01-17 09:20:40','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(425408968090198016,'imendibil','feasperomajas','Happyvaginas te regala una estancia romantica en la sauna del polikiroldegi @lorealorea ZORIONAK!!!!! Te keremos! ;) http://t.co/ene6FYOjgJ','2014-01-21 00:26:16','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(425410030775844864,'imendibil','feasperomajas','Todas querriamos estar con el Duque pero el privilegio es tuyo!! Zorioooonak!!! @Goizan we looov youuu! http://t.co/9WSkjvdUxW','2014-01-21 00:30:29','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(425411485594959873,'imendibil','imendibil','ZORIONAK ZURI!ZORIONAK BETI!ZORIONAAK FETOOOS!ZORIONAK ZURI!EGUN ONA PASEU TITIIS!23tirakada ta muxu bakoitzantzat!! @Goizan  @lorealorea ;)','2014-01-21 00:36:16','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:49'),(425498917309263872,'imendibil','Goizan','@imendibil eskerrrrikk askoooo pekeñaaaa!!!!<3','2014-01-21 06:23:41','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:56'),(425580540109271040,'imendibil','lorealorea','@imendibil  eskerrikk asko txikitinaa!!!! Uuueeee fetorris! Jajajaj','2014-01-21 11:48:02','bai','ez','ez','ez',NULL,NULL,'2014-06-14 17:02:55'),(425587956892434433,'imendibil','imendibil','@Patxi94  esperate alas triples..... jejejejejjejejejejejej','2014-01-21 12:17:30','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:49'),(427335423812468736,'imendibil','AneUrsa','Ieeepaaalee agustoooo!!!! @imendibil  @Mirentxiii @aneelordi  @izarillo http://t.co/uw8NKLIg3P','2014-01-26 08:01:19','bai','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:55'),(427546896895582208,'imendibil','imendibil','RT @AneUrsa: Ieeepaaalee agustoooo!!!! @imendibil  @Mirentxiii @aneelordi  @izarillo http://t.co/uw8NKLIg3P','2014-01-26 22:01:38','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(427923713632522240,'imendibil','imendibil','RT @iraartetxe: #60Minutos #100DiasSinHodei #ETB2','2014-01-27 22:58:58','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(435884697483505665,'imendibil','imendibil','RT @HodeiMissing: C.D. Galdakaoko mendeurrenean ere ZURE ZAIN #Hodeiegiluz\nEn el centenario del C.D. Galdakao también #Hodeiegiluz... http:…','2014-02-18 22:13:04','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(438079471795843072,'imendibil','imendibil','RT @tamtamaron: Another boy has desappeared at the same place and hour as Hodei did. Also the same age. \nBeste mutil bat... http://t.co/hsa…','2014-02-24 23:34:19','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(440472006778454016,'imendibil','imendibil','RT @axierL: Istiluak Bilboko leku anitzetara zabaltzen ari dira #TroikaGoHome http://t.co/cIdHSykxtE @aparilyildiz 2dz','2014-03-03 14:01:24','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(447726303081684993,'imendibil','purplekonserg','Bizi zaitez, bizi, ahalik ta ondoen, inoiz ezbait dakigu bihar zer dagoen!','2014-03-23 14:27:23','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(448404887093510144,'imendibil','AhotsaInfo','#EkinM27 @AhotsaInfo-k Ikasle Greba Orokorraren jarraipen berezia eginen du  @IAbertzaleak @gaztiakplanto @Eraldatu http://t.co/vxwOHxD265','2014-03-25 11:23:50','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(448408146336550912,'imendibil','imendibil','RT @AhotsaInfo: #EkinM27 @AhotsaInfo-k Ikasle Greba Orokorraren jarraipen berezia eginen du  @IAbertzaleak @gaztiakplanto @Eraldatu http://…','2014-03-25 11:36:47','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(448526044946251776,'imendibil','imendibil','RT @purplekonserg: Bizi zaitez, bizi, ahalik ta ondoen, inoiz ezbait dakigu bihar zer dagoen!','2014-03-25 19:25:17','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:52'),(448526548417912834,'imendibil','imendibil','BTX-Makuluak!!!!!! https://t.co/ATzEHXFRQI','2014-03-25 19:27:17','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:49'),(448533988173291520,'imendibil','berritxarrak','BERRI TXARRAK recording with ROSS ROBINSON (Teaser 2014, #BTX20URTE01)) http://t.co/4PMIKuIAak','2014-03-25 19:56:50','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(448850133657321472,'imendibil','imendibil','RT @IAbertzaleak: \"EHn gure hezkuntza eraiki. LOMCE ez!\" plataformak #EkinM27-an ikasleekin batera mobilizatzera deitu du jendartea http://…','2014-03-26 16:53:05','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:51'),(451267936334782464,'imendibil','berritxarrak','Ahotsak grabatzeko prest... Ready for some vocals... \n\n#BTX20URTE01 http://t.co/EdFvYGm8XK','2014-04-02 10:00:34','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(451288260439179264,'imendibil','imendibil','RT @rockestatal: .@berritxarrak graban en EEUU su octavo disco de estudio. De nuevo con Ross Robinson. http://t.co/UB457M4OsO','2014-04-02 11:21:20','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:51'),(461521240755548160,'imendibil','imendibil','http://t.co/Hz4XiYePFJ','2014-04-30 17:03:33','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:49'),(469856082404585472,'imendibil','SuajarcorSista','No he escuchado mayor perfección que Berri Txarrak con la vibración de los Skullcandy activada.','2014-05-23 17:03:14','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(470117162238361600,'imendibil','agurneapeztegia','Welcome to my life - Simple Plan','2014-05-24 10:20:40','ez','ez','ez','bai',NULL,NULL,'2014-06-14 17:02:54'),(470178347658788864,'imendibil','imendibil','SD egiten!!!!!!','2014-05-24 14:23:48','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:49'),(470178542593253377,'imendibil','imendibil','lan, lan, lan eta lan!!!!','2014-05-24 14:24:34','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:48'),(470178747568906241,'imendibil','imendibil','RT @gordiscos: BERRI TXARRAK. Diska berria prestatzen http://t.co/PbLmLCKJgX','2014-05-24 14:25:23','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:51'),(474518185954541568,'imendibil','imendibil','RT @GARA_rpascual: .@PodemosEH-k giza katea babestu du: «Erabakitzeko eskubidea ez da abertzaleen eskakizuna, eskakizun demokratikoa baizik…','2014-06-05 13:48:46','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:51'),(474518302975598592,'imendibil','imendibil','http://t.co/UbHO8H0JTA','2014-06-05 13:49:14','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:48'),(474629375972110336,'imendibil','imendibil','#GureEskuBideaE8','2014-06-05 21:10:36','ez','bai','ez','ez',NULL,NULL,'2014-06-14 17:02:48'),(474630076752216065,'imendibil','imendibil','RT @AneUrsa: #GureEskuBideaE8 #GureEskuBideaE8 #GureEskuBideaE8 #GureEskuBideaE8 #GureEskuBideaE8 ni banoa ta zu??','2014-06-05 21:13:23','ez','bai','bai','ez',NULL,NULL,'2014-06-14 17:02:51');
/*!40000 ALTER TABLE `Tweet` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-06-14 17:30:12
