package Klaseak;
import java.sql.SQLException;

import javax.swing.JFrame;

import twitter4j.Twitter;



public class Aplikazioa {
	
	private static Aplikazioa instantzia = null; 
	
	private JFrame tweetakIkusi = null; 
	private MenuNagusia menuNagusia = null; 
	private BabesKopiaEgin  babesKopiakEgin = null;
	private JFrame konfigurazioa = null;
	private JFrame erregistratu = null;
	private JFrame logina = null;
	private JFrame kopiakBorratu = null;
	private BabeskopiakExportatu babeskopiakExportatu = null;
	private JFrame babeskopiakInportatu = null;
	private Twitter twitter = null;
	

	private Aplikazioa() {

			
	}


	public BabeskopiakExportatu getBabeskopiakExportatu() {
		if (babeskopiakExportatu==null)
			babeskopiakExportatu=new BabeskopiakExportatu();
		return babeskopiakExportatu;
	}


	public JFrame getBabeskopiakInportatu() {
		if (babeskopiakInportatu==null)
			babeskopiakInportatu=new BabeskopiakInportatu();
		return babeskopiakInportatu;
	}


	public JFrame getTweetakIkusi() {
		if (tweetakIkusi == null)
			tweetakIkusi = new TweetakIkusi();
			
		return tweetakIkusi;
	}

	public MenuNagusia getMenuNagusia() {
		if (menuNagusia == null)
			menuNagusia = new MenuNagusia(); 
			 
			
		return menuNagusia;
	}

	public BabesKopiaEgin getBabesKopiakEgin() {
		if (babesKopiakEgin == null)
      		babesKopiakEgin= new BabesKopiaEgin();
		 
		return babesKopiakEgin;
	}



	public JFrame getKonfigurazioa() throws SQLException {
		if (konfigurazioa == null)
			konfigurazioa = new Konfigurazioa();
			 	
		return konfigurazioa;
	}



	public JFrame getErregistratu() {
		if (erregistratu==null)
			erregistratu = new Erregistratu();
			 
		return erregistratu;
	}



	public JFrame getLogina() {
		if (logina == null)
			 logina= new Logina();

		return logina;
	}



	public JFrame getKopiakBorratu() {
		if (kopiakBorratu == null)
			kopiakBorratu= new KopiakBorratu();
		
		return kopiakBorratu;
	}

	public Twitter getTwitter(){
		return twitter;
	}

	public void setTwitter(Twitter twitter){
		this.twitter = twitter;
	}


	public static Aplikazioa getInstantzia(){
		if (instantzia == null) {
			instantzia= new Aplikazioa();
		}
		
		return instantzia;
	}

}
