package Klaseak;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.Vector;

import javax.swing.table.AbstractTableModel;

import jxl.write.DateTime;
import twitter4j.Twitter;
import twitter4j.TwitterException;
import twitter4j.TwitterFactory;


public class NireModeloa extends AbstractTableModel{
	
	private Vector<Lag> datuak = new Vector<Lag>();
	private Vector<String> zutabeIzenak = new Vector<String>();
	private static DBKud dbk = DBKud.getInstantzia();
	private HizkuntzaAldaketa hA= new HizkuntzaAldaketa();
	
	public NireModeloa(ArrayList<String> tweetMotak, long data1, long data2) throws SQLException{
		if(!(tweetMotak==null)){
		hasieratuZutabeIzenak();
		datuakLortu(tweetMotak,data1,data2);
		}
	}
	public void hasieratuZutabeIzenak(){
		
		zutabeIzenak.add(hA.getValue("norena"));
		zutabeIzenak.add(hA.getValue("test"));
		zutabeIzenak.add(hA.getValue("eguna"));
		zutabeIzenak.add(hA.getValue("m"));
		zutabeIzenak.add(hA.getValue("t"));
		zutabeIzenak.add(hA.getValue("rt"));
		zutabeIzenak.add(hA.getValue("f"));
		zutabeIzenak.add(hA.getValue("id"));
	}
	

	@Override
	public int getColumnCount() {
		
		return zutabeIzenak.size();
		
	}

	@Override
	public int getRowCount() {
		
		return datuak.size();
		
	}

	@Override
	public Object getValueAt(int lerroa, int zutabea) {
		
		Lag lerro = datuak.elementAt(lerroa);
		Object obj = lerro.getBalioa(zutabea);
	
		
		return obj;
	}
	
	public String getColumnName(int col){
		
		return zutabeIzenak.elementAt(col);
		
	}
	
	public void kargatu(String a,String b,Timestamp c,String d,String e,String f,String g,long h ){
		
		Lag berria= new Lag(a,b,c,d,e,f,g,h);
		datuak.add(berria);
		
		
	}
	
	public Class getColumnClass(){
		
		return null;
	}
	
	public void datuakLortu(ArrayList<String> tweetMotak, long data1, long data2) throws SQLException {

		Twitter twitter = Aplikazioa.getInstantzia().getTwitter();
		
		
		Iterator<String> it = tweetMotak.iterator();
		String s1="";;
		String mota;
		
		while (it.hasNext()){
			
			mota=it.next();
			
			try {
				s1 = "Select Norena, Testua, Data, Mentzioa, Tweeta,RT, Faboritoa, IdTweet FROM Tweet WHERE Erabiltzaile_izena ='"+
			twitter.getScreenName()+"' AND "+mota+"='bai' AND FROM_UNIXTIME('"+data1+"') <= Data AND Data<=FROM_UNIXTIME('"+data2+"')";
				
			} catch (IllegalStateException | TwitterException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
				
			}	
					
			ResultSet rs= dbk.execSQL(s1);		
			
		
			while(rs.next()){
							
				String a=rs.getString("Norena");
				
				String b=rs.getString("Testua");
			
				Timestamp c=rs.getTimestamp("Data");
				
				System.out.println(c);
				String d=rs.getString("Mentzioa");
				
				String e=rs.getString("Tweeta");
				
				String f=rs.getString("RT");
				
				String g=rs.getString("Faboritoa");
				
				long h=rs.getLong("idTweet");
				
				kargatu(a,b,c,d,e,f,g,h);
			}
		}
		
	}
}

	


